:root{
    --color-main: #161618;
    /* --color-main: rgb(125, 125, 125); */
    /* --color-main: black; */
    --color-contrast: #778899; /* if whiter is nescessary: #f6f7f9*/
    --color-theme: #c72b20;
    /* --color-darken: rgba(0, 0, 0, 0.15); */
    --color-darken: rgba(255, 255, 255, 0.05);
    --color-darken-extra: rgba(0, 0, 0, 0.5);
    --color-multiplied: #16161880;

    --font-size-button-xlarge: 5rem;
    --font-size-button-large: 4rem;
    --font-size-button-medium: 3rem;
    --font-size-button-small: 2rem;
}
body::-webkit-scrollbar { 
    display: none !important ;
} 
html{
    position: static;
    overflow: hidden;
    height: 100%;
    max-height: 100%;
}
html, body{
    /* position: fixed; */
    /* overflow: hidden; */
    touch-action:none;
    font-family: 'Open Sans', sans-serif !important ;
    padding: 0;
    -ms-overflow-style: none !important ;
    scrollbar-width: none !important ;
    color: white;
    /* overflow: hidden; */
}
input:focus { 
    outline:none !important; 
}
[abspos] {
    position: absolute;
    z-index: -1;
}
/* body{
    position: relative;
} */
.bg--transparent{
    background-color: transparent !important;
}
.bg--dark{
    background-color: var(--color-main) !important ;
} 
.bg--theme{
    background-color: var(--color-theme) !important ;
} 
.text--light{
    color: var(--color-theme) !important ;
}
.text--contrast{
    color: var(--color-contrast) !important ;
}
.text--dark{
    color: var(--color-main) !important ;
}
.textsize--small{
    font-size: .75rem !important ;
} 
.textsize--medium{
    font-size: 1rem !important ;
} 
.textsize--large{
    font-size: 1.25rem !important ;
}
.textsize--title{
    font-size: 2rem !important ;
}
.textsize--button__large{
    font-size: 4rem !important;
    line-height: 4rem;
}
.textsize--button__medium{
    font-size: 3rem !important;
    line-height: 3rem;
}
.textsize--button__small{
    font-size: 2rem !important;
    line-height: 2rem;
}
.float--right{
    float: right !important;
}
.float--left{
    float: left !important;
}
.shadow{
    box-shadow: 0px 0px 4px black !important ;
}
.darken{
    background-color: var(--color-darken) !important ;
}
.no_border{
    border: none;
}
.clickable{
    cursor: pointer;
    background-color: transparent;
}
.clicked{
    cursor: pointer;
    background-color: var(--color-theme);
    border-radius: 1rem;
}
/* .clickable:hover{
    background-color: purple;
    box-shadow: 0px 0px 4px var(--color-theme);
} */
.clickable--icon{
    cursor: pointer;
}
/* .clickable--icon:hover{
    background-color: purple;
    color: var(--color-contrast) !important;
} */
.prevent-select {
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */
    cursor: default;
}
.centered{
    /* background-color: orange; */
    position: absolute !important ;
    /* width: max-content !important ; */
    /* max-width: max-content !important ; */

    top: 50% !important ;
    margin-left: 50% !important ;
    transform: translate(-50%, -50%) !important ;
}
.key{
    position: relative;
    margin: 0; 
    margin-top: 1rem; 
    width: calc(100% - 2rem);  
    left: 0rem;
}
.value{
    position: relative;
    margin: 0; 
    margin-bottom: 1rem;
    width: calc(100% - 2rem);  
    left: 1rem;
}
.no-pointer-events{
    pointer-events: none !important;
}
[contenteditable] {
    outline: 0px solid transparent;
}
::placeholder {
    color: var(--color-theme);
}
.border-1{
    border-radius: 1rem !important;
}
.hide-on-mobile{
    display: none;
}
/* .admin{
    display: none;
} */
.prevent-scroll{
    overflow: hidden !important;
}
.hide-scrollbar{
    -ms-overflow-style: none !important ;
    scrollbar-width: none !important ;
}
.hide-scrollbar::-webkit-scrollbar {
    display: none !important;
    -webkit-appearance: none !important;
    width: 0 !important;
    height: 0 !important;
}

.spin {
    -webkit-animation:spin 1s linear infinite;
    -moz-animation:spin 1s linear infinite;
    animation:spin 1s linear infinite;
}
.editable{
    overflow: hidden;
}
@-moz-keyframes spin { 
    100% { -moz-transform: rotate(360deg); } 
}
@-webkit-keyframes spin { 
    100% { -webkit-transform: rotate(360deg); } 
}
@keyframes spin { 
    100% { 
        -webkit-transform: rotate(360deg); 
        transform:rotate(360deg); 
    } 
}

.old_listpage-header{
    position: absolute;
    width: 100%;
    height: 3rem;
}
.old_listpage-header-button{
    position: relative;
    font-size: 2.5rem;
    height: 100%;
    width: min-content;
}
.old_listpage-header-button-right{
    position: relative;
    float: right;
    font-size: 2.5rem;
    height: 100%;
    width: min-content;
}
.old_listpage-list{
    position: absolute;
    top: 3rem;
    width: 100%;
    border-radius: 1rem;
    /* background-color: rgba(0, 0, 255, 0.125); */
}
.old_listpage-list-item{
    position: relative;
    width: 100%;
    /* background-color: rgba(0, 0, 255, 0.125); */
    display: flex;
    justify-content: space-between;
}
.old_listpage-vertical-divider{
    position: relative;
    width: calc(100% - 2rem);
    height: 0.05rem;
    left: 1rem;
    background-color: rgba(255, 255, 255, 0.05);
}
.old_listpage-column{
    flex: 1;
    /* background-color: rgba(0, 0, 255, 0.125); */
    height: 4rem;
    line-height: 4rem;
    padding-left: 1rem;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}
.old_listpage-column-rowname{
    /* background-color: rgba(0, 0, 255, 0.125); */
    height: 4rem;
    line-height: 4rem;
    padding-left: 1rem;
    overflow: hidden;
}
.old_listpage-column-button{
    height: 4rem;
    width: 4rem;
    font-size: 3rem;
    line-height: 4rem;
    overflow: hidden;
}
.old_listpage-header-column-button{
    height: 2rem;
    width: 4rem;
    font-size: 1rem;
    line-height: 2rem;
    overflow: hidden;
}
.old_listpage-header-column{
    flex: 1;
    /* background-color: rgba(0, 0, 255, 0.125); */
    height: 2rem;
    line-height: 2rem;
    padding-left: 1rem;
    overflow: hidden;
}
.old_listpage-space-horizontal-1{
    position: relative;
    width: 100%;
    height: 1rem;
}
.old_listpage-button-full{
    position: relative;
    width: 100%;
    height: 3rem;
    border-radius: 1rem;
    text-align: center;
    line-height: 3rem;
}
.old_listpage-popup-extra-space{
    position: relative;
    width: 100%;
    height: 3rem;
    display: block;
}
.old_listpage-flex-container{
    position: relative;
    display: flex;
    width: 100%;
    height: 100%;
    max-width: 100%;
    max-height: 100%;
    overflow: hidden;
    column-gap: 1rem;
}
.old_listpage-flex-50{
    position: relative;
    width: 50%;
    max-width: 50%;
    height: 100%;
    max-height: 100%;
    overflow: hidden;
    overflow-y: scroll;
}
.old_listpage-iframe{
    position: relative;
    border-radius: 1rem;
    width: 100%;
    height: 100%;
    max-width: 100%;
    max-height: 100%;
    border: none;
}
[placeholder]:empty::before {
    content: attr(placeholder);
    color: #555; 
}
[placeholder]:empty:focus::before {
    content: "";
}

/* @media only screen and (min-width: 1500px) { */
@media (width >= 700px) {
    .hide-on-mobile{
        display: unset;
    }
    .key{
        position: relative;
        margin: 0; 
        margin-top: 1rem; 
        width: calc(100% - 2rem);  
        left: 1rem;
    }
    .value{
        position: relative;
        margin: 0; 
        margin-bottom: 1rem;
        width: calc(100% - 2rem);  
        left: 2rem;
    }
    .clickable--icon:hover{
        /* background-color: purple; */
        color: var(--color-contrast) !important;
    }
    .clickable:hover{
        /* background-color: purple; */
        z-index: 999;
        box-shadow: 0px 0px 4px var(--color-theme);
    }
    .old_listpage-popup-extra-space{
        position: relative;
        width: 100%;
        height: 3rem;
        display: none;
    }
    .old_listpage-column{
        flex: 1;
        /* background-color: rgba(0, 0, 255, 0.125); */
        height: 3rem;
        line-height: 3rem;
        padding-left: 1rem;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
    }
    .old_listpage-column-rowname{
        /* background-color: rgba(0, 0, 255, 0.125); */
        height: 3rem;
        line-height: 3rem;
        padding-left: 1rem;
        overflow: hidden;
    }
    .old_listpage-column-button{
        height: 3rem;
        width: 3rem;
        font-size: 2.5rem;
        line-height: 3rem;
        overflow: hidden;
    }
    .old_listpage-header-column-button{
        height: 2rem;
        width: 3rem;
        font-size: 1rem;
        line-height: 2rem;
        overflow: hidden;
    }
}